summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2020-11-14 21:19:55 +0100
committerDavid Seifert <soap@gentoo.org>2020-11-14 21:19:55 +0100
commitbc672d139532f9f15a645ed416e415f1ff55cab6 (patch)
tree36f21536d388afb3f8af3bda9c57b9706fb46e20 /sys-fabric/libcxgb4
parentsys-fabric/libcxgb3: disable static libs (diff)
downloadgentoo-bc672d139532f9f15a645ed416e415f1ff55cab6.tar.gz
gentoo-bc672d139532f9f15a645ed416e415f1ff55cab6.tar.bz2
gentoo-bc672d139532f9f15a645ed416e415f1ff55cab6.zip
sys-fabric/libcxgb4: disable static libs
Closes: https://bugs.gentoo.org/725958 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sys-fabric/libcxgb4')
-rw-r--r--sys-fabric/libcxgb4/libcxgb4-1.3.2.ebuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/sys-fabric/libcxgb4/libcxgb4-1.3.2.ebuild b/sys-fabric/libcxgb4/libcxgb4-1.3.2.ebuild
index 532a8f55374..ff8ef23cbd6 100644
--- a/sys-fabric/libcxgb4/libcxgb4-1.3.2.ebuild
+++ b/sys-fabric/libcxgb4/libcxgb4-1.3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -17,3 +17,12 @@ IUSE=""
DEPEND="sys-fabric/libibverbs:${SLOT}"
RDEPEND="${DEPEND}"
block_other_ofed_versions
+
+src_configure() {
+ econf --disable-static
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}